import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { AbstractControl, UntypedFormGroup } from '@angular/forms';
import { FreeWorkShopIDs, FreeWorkShopLabels } from '../../../../structure/enums/freeWorkshop.enum';

@Component({
  selector: 'app-structure-training-price',
  templateUrl: './structure-training-price.component.html',
})
export class StructureTrainingPriceComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Output() validateForm = new EventEmitter<any>();

  public FreeWorkShopIDs = FreeWorkShopIDs;
  public FreeWorkShopLabels = FreeWorkShopLabels;

  ngOnInit(): void {
    this.validateForm.emit();
  }

  public onRadioChange(choice: string): void {
    this.getStructureControl('freeWorkShop').setValue(choice);
    this.validateForm.emit();
  }

  public getStructureControl(name: string): AbstractControl {
    return this.structureForm.get('categories').get(name);
  }

  public goBack(): void {
    history.back();
  }
}
